rpms/ez-ipupdate/EL-4 ez-ipupdate-3.0.11b8-zoneedit-server.patch, NONE, 1.1 import.log, NONE, 1.1 .cvsignore, 1.3, 1.4 ez-ipupdate.init, 1.1, 1.2 ez-ipupdate.spec, 1.5, 1.6 sources, 1.3, 1.4

Itamar Reis Peixoto itamarjp at fedoraproject.org
Mon Sep 14 05:16:10 UTC 2009


Author: itamarjp

Update of /cvs/pkgs/rpms/ez-ipupdate/EL-4
In directory cvs1.fedora.phx.redhat.com:/tmp/cvs-serv28020/EL-4

Modified Files:
	.cvsignore ez-ipupdate.init ez-ipupdate.spec sources 
Added Files:
	ez-ipupdate-3.0.11b8-zoneedit-server.patch import.log 
Log Message:
sync with fedora


ez-ipupdate-3.0.11b8-zoneedit-server.patch:
 ez-ipupdate.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

--- NEW FILE ez-ipupdate-3.0.11b8-zoneedit-server.patch ---
diff --git a/ez-ipupdate.c b/ez-ipupdate.c
index 9aea495..a6d2528 100644
--- a/ez-ipupdate.c
+++ b/ez-ipupdate.c
@@ -95,7 +95,7 @@
 #define HN_DEFAULT_PORT "80"
 #define HN_REQUEST "/vanity/update"
 
-#define ZONEEDIT_DEFAULT_SERVER "www.zoneedit.com"
+#define ZONEEDIT_DEFAULT_SERVER "dynamic.zoneedit.com"
 #define ZONEEDIT_DEFAULT_PORT "80"
 #define ZONEEDIT_REQUEST "/auth/dynamic.html"
 


--- NEW FILE import.log ---
ez-ipupdate-3_0_11-0_22_b8_fc12:EL-4:ez-ipupdate-3.0.11-0.22.b8.fc12.src.rpm:1252905315


Index: .cvsignore
===================================================================
RCS file: /cvs/pkgs/rpms/ez-ipupdate/EL-4/.cvsignore,v
retrieving revision 1.3
retrieving revision 1.4
diff -u -p -r1.3 -r1.4
--- .cvsignore	27 Nov 2004 11:21:02 -0000	1.3
+++ .cvsignore	14 Sep 2009 05:16:10 -0000	1.4
@@ -1,3 +1,2 @@
 ez-ipupdate-3.0.11b8.tar.gz
-ez-ipupdate_3.0.11b8-6.diff.gz
-ez-ipupdate_3.0.11b8-8.diff.gz
+ez-ipupdate_3.0.11b8-10.diff.gz


Index: ez-ipupdate.init
===================================================================
RCS file: /cvs/pkgs/rpms/ez-ipupdate/EL-4/ez-ipupdate.init,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -p -r1.1 -r1.2
--- ez-ipupdate.init	8 Nov 2004 04:15:56 -0000	1.1
+++ ez-ipupdate.init	14 Sep 2009 05:16:10 -0000	1.2
@@ -2,19 +2,24 @@
 #
 # ez-ipupdate     Starts and stops the ez-ipupdate daemon
 #
-# chkconfig: - 55 45
 #
+# chkconfig: - 55 45
 # processname: ez-ipupdate
 # description: Check and update your IP to dynamic DNS Server.
-# pidfile: /var/run/ez-ipupdate/ez-ipudpate.pid
-# config: /etc/ez-ipupdate.conf
+### BEGIN INIT INFO
+# Short-Description: Check and update your IP to dynamic DNS Server
+# Provides: ez-ipupdate
+# Required-Start: $local_fs $network
+# Required-Stop: $local_fs
+# Should-Start: $time
+### END INIT INFO
 
-ez_config=/etc/ez-ipupdate.conf
+ez_configdir=/etc/ez-ipupdate
+ez_piddir=/var/run/ez-ipupdate
 ez_bin=/usr/sbin/ez-ipupdate
-ez_pid=/var/run/ez-ipupdate/ez-ipupdate.pid
 
 # Make sure relevant files exist
-[ -x "$ez_bin" -a -s "$ez_config" ] || exit 0
+[ -x "$ez_bin" -a -d "$ez_configdir" ] || exit 0
 
 # Source function library.
 . /etc/rc.d/init.d/functions
@@ -30,33 +35,54 @@ prog=ez-ipupdate
 
 start() {
     # Start daemons.
-    echo -n $"Starting $prog: "
-    daemon $ez_bin --daemon --config-file $ez_config --pid-file $ez_pid
-    RETVAL=$?
-    echo
-    [ $RETVAL -eq 0 ] && touch /var/lock/subsys/$prog
+    for ez_configfile in ${ez_configdir}/*.conf; do
+	if [ -r ${ez_configfile} ]; then
+	    # Don't run configurations that are not daemons
+	    if ! grep -q '^ *daemon' ${ez_configfile}; then continue; fi
+	    # Don't run configurations that run in foreground
+	    if grep -q '^ *foreground' ${ez_configfile}; then continue; fi
+	    ez_name=`basename $ez_configfile .conf`
+	    if [ -f $ez_piddir/$ez_name.pid ]; then
+		if status -p $ez_piddir/$ez_name.pid; then
+		    continue
+		fi
+	    fi	
+	    echo -n $"Starting $prog for $ez_name: "
+	    daemon $ez_bin --daemon --config-file $ez_configfile --pid-file $ez_piddir/$ez_name.pid
+	    [ $? -ne 0 ] && RETVAL=1
+	    echo
+	fi
+    done
 }
 
 stop() {
     # Stop daemons.
-    echo -n $"Shutting down $prog: "
-    killproc $prog -QUIT
-    RETVAL=$?
-    echo
-    [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/$prog && rm -f $ez_pid
+    for pidfile in ${ez_piddir}/*.pid; do
+	if [ -r ${pidfile} ]; then
+	    ez_name=`basename $pidfile .pid`
+	    echo -n $"Shutting down $prog for $ez_name: "
+	    killproc -p $pidfile $prog -QUIT
+    	    [ $? -ne 0 ] && RETVAL=1
+	    echo
+	fi
+    done
 }
 
 reload() {
     # Reload config by sending a SIGHUP.
-    echo -n $"Reloading $prog: "
-    killproc $prog -HUP
-    RETVAL=$?
-    echo
+    for pidfile in ${ez_piddir}/*.pid; do
+	if [ -r ${pidfile} ]; then
+	    ez_name=`basename $pidfile .pid`
+	    echo -n $"Reloading $prog for $ez_name: "
+	    killproc -p $pidfile $prog -HUP
+	    [ $? -ne 0 ] && RETVAL=1
+	    echo
+	fi
+    done
 }
 
 restart() {
-    stop
-    start
+    stop && start
     RETVAL=$?
 }
 
@@ -71,20 +97,24 @@ case "$1" in
   restart)
     restart
     ;;
-  reload)
+  reload|force-reload)
     reload
     ;;
-  condrestart)
-    [ -e /var/lock/subsys/$prog ] && restart || :
+  condrestart|try-restart)
+    ls ${ez_piddir}/*.pid >/dev/null && restart
     ;;
   status)
     status $prog
     RETVAL=$?
-    if [ -r $ez_config ]; then
-      ez_cache=`grep -E '^[[:space:]]*cache-file' $ez_config | cut -d "=" -f2`
-      [ -n "$ez_cache" ] && \
-        echo "Last IP update: "`cat $ez_cache | cut -d "," -f2`
-    fi
+    for ez_config in $ez_configdir/*.conf; do
+	if [ -r $ez_config ]; then
+	    ez_cache=`grep -E '^[[:space:]]*cache-file' $ez_config | cut -d "=" -f2`
+	    ez_host=`grep -E '^[[:space:]]*host' $ez_config | cut -d "=" -f2`
+	    ez_iface=`grep -E '^[[:space:]]*interface' $ez_config | cut -d "=" -f2`
+	    [ -n "$ez_cache" ] && \
+	    echo "Last IP update of $ez_host on $ez_iface: "`cat $ez_cache | cut -d "," -f2`
+	fi
+    done
     ;;
   *)
     echo "Usage: $0 {start|stop|restart|condrestart|reload|status}"


Index: ez-ipupdate.spec
===================================================================
RCS file: /cvs/pkgs/rpms/ez-ipupdate/EL-4/ez-ipupdate.spec,v
retrieving revision 1.5
retrieving revision 1.6
diff -u -p -r1.5 -r1.6
--- ez-ipupdate.spec	27 Nov 2004 11:21:02 -0000	1.5
+++ ez-ipupdate.spec	14 Sep 2009 05:16:10 -0000	1.6
@@ -1,26 +1,25 @@
 Name:           ez-ipupdate
 Version:        3.0.11
-Release:        0.7.b8
-Epoch:          0
+Release:        0.22.b8%{?dist}
 Summary:        Client for Dynamic DNS Services
 
 Group:          Applications/Internet
-License:        GPL
+License:        GPLv2+
 URL:            http://www.gusnet.cx/proj/ez-ipupdate/
 Source0:        http://www.gusnet.cx/proj/ez-ipupdate/dist/ez-ipupdate-3.0.11b8.tar.gz
 Source1:        %{name}.init
-Patch0:         http://ftp.debian.org/debian/pool/main/e/ez-ipupdate/ez-ipupdate_3.0.11b8-8.diff.gz
+Patch0:         http://ftp.debian.org/debian/pool/main/e/ez-ipupdate/ez-ipupdate_3.0.11b8-10.diff.gz
 Patch1:         %{name}-pidfile.patch
+Patch2:		ez-ipupdate-3.0.11b8-zoneedit-server.patch
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 Requires(post):   /sbin/chkconfig
 Requires(preun):  /sbin/chkconfig
 Requires(pre):    /usr/sbin/useradd /usr/sbin/groupadd
-Requires(postun): /usr/sbin/userdel /usr/sbin/groupdel
 
 %description
 ez-ipupdate is a small utility for updating your host name for any of the
-dynamic DNS service offered at: 
+dynamic DNS service offered at:
   * http://www.ez-ip.net
   * http://www.justlinux.com
   * http://www.dhs.org
@@ -42,11 +41,14 @@ You can find some examples in %{_docdir}
 %setup -q -n %{name}-%{version}b8
 %patch0 -p1
 %patch1 -p0
+%patch2 -p1
 touch *.in aclocal.m4 configure
 chmod +x missing
+chmod a-x example*.conf
 
 
 %build
+export CFLAGS="-D_FILE_OFFSET_BITS=64 $RPM_OPT_FLAGS"
 %configure
 make %{?_smp_mflags}
 
@@ -70,13 +72,15 @@ mkdir -p $RPM_BUILD_ROOT%{_initrddir}
 mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/cache/ez-ipupdate
 > $RPM_BUILD_ROOT%{_localstatedir}/cache/ez-ipupdate/default-cache
 
-mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
-> $RPM_BUILD_ROOT%{_sysconfdir}/ez-ipupdate.conf
+# Make a directory for config files
+mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/ez-ipupdate
+> $RPM_BUILD_ROOT%{_sysconfdir}/ez-ipupdate/default.conf
 
 # Create a dedicated dir for the pid file so we can run as non-root.
 mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/run/ez-ipupdate
 
 
+
 %clean
 rm -rf $RPM_BUILD_ROOT
 
@@ -88,6 +92,13 @@ rm -rf $RPM_BUILD_ROOT
 
 %post
 /sbin/chkconfig --add ez-ipupdate
+# move config file from old location to new if it exists
+if [ $1 -gt 1 ]; then
+    [ -f %{_sysconfdir}/ez-ipupdate.conf ] && /bin/mv %{_sysconfdir}/ez-ipupdate.conf %{_sysconfdir}/ez-ipupdate/default.conf
+    [ -f %{_localstatedir}/run/ez-ipupdate/ez-ipupdate.pid ] && /bin/mv %{_localstatedir}/run/ez-ipupdate/ez-ipupdate.pid %{_localstatedir}/run/ez-ipupdate/default.pid
+    [ -f %{_localstatedir}/lock/subsys/ez-ipupdate ] && /bin/mv %{_localstatedir}/lock/subsys/ez-ipupdate %{_localstatedir}/lock/subsys/ez-ipupdate-default
+    %{_initrddir}/ez-ipupdate condrestart >/dev/null
+fi
 
 %preun
 if [ $1 -eq 0 ] ; then
@@ -95,30 +106,71 @@ if [ $1 -eq 0 ] ; then
   /sbin/chkconfig --del ez-ipupdate
 fi
 
-%postun
-if [ $1 -eq 0 ] ; then
-  /usr/sbin/userdel ez-ipupd >/dev/null 2>&1 || :
-  /usr/sbin/groupdel ez-ipupd >/dev/null 2>&1 || :
-elif [ $1 -ge 1 ] ; then
-  %{_initrddir}/ez-ipupdate condrestart >/dev/null
-fi
-
-
 %files
-%defattr(0644,root,root,0755)
-%doc CHANGELOG COPYING README example-*.conf
+%defattr(-,root,root,-)
 %{_mandir}/man8/ez-ipupdate.8*
-%defattr(0755,root,root,0755)
 %attr(0755,root,root) %{_sbindir}/ez-ipupdate
 %attr(0755,root,root) %{_initrddir}/ez-ipupdate
-%defattr(0644,ez-ipupd,ez-ipupd,0755)
-%dir %{_localstatedir}/cache/ez-ipupdate
+%dir %{_sysconfdir}/ez-ipupdate/
+%doc CHANGELOG COPYING README example.conf example-*.conf
+%defattr(0644,root,root,-)
+%defattr(-,ez-ipupd,ez-ipupd,-)
+%dir %{_localstatedir}/cache/ez-ipupdate/
+%dir %{_localstatedir}/run/ez-ipupdate/
 %ghost %{_localstatedir}/cache/ez-ipupdate/default-cache
-%dir %{_localstatedir}/run/ez-ipupdate
-%ghost %attr(0640,root,ez-ipupd) %config(noreplace,missingok) %{_sysconfdir}/ez-ipupdate.conf
-
+%ghost %attr(0640,root,ez-ipupd) %config(noreplace,missingok) %{_sysconfdir}/ez-ipupdate/default.conf
 
 %changelog
+* Fri Jul 24 2009 Fedora Release Engineering <rel-eng at lists.fedoraproject.org> - 3.0.11-0.22.b8
+- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild
+
+* Tue Feb 24 2009 Fedora Release Engineering <rel-eng at lists.fedoraproject.org> - 3.0.11-0.21.b8
+- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild
+
+* Fri Jul 18 2008 Tom "spot" Callaway <tcallawa at redhat.com> - 3.0.11-0.20.b8
+- fix license tag
+
+* Mon Jun 16 2008 Jeff Layton <jlayton at redhat.com> - 3.0.11-0.19.b8
+- compile with -D_FILE_OFFSET_BITS=64 so we can handle 64-bit inode numbers
+  in stat() calls
+
+* Sun Jun  8 2008 Jeff Layton <jlayton at redhat.com> - 3.0.11-0.18.b8
+- default server for zoneedit has changed to dynamic.zoneedit.com (BZ#449375)
+
+* Tue Mar 11 2008 Jeff Layton <jlayton at redhat.com> - 3.0.11-0.17.b8
+- ez-ipupdate would be started a second time on runlevel changes (BZ#436616)
+
+* Tue Feb 19 2008 Fedora Release Engineering <rel-eng at fedoraproject.org> - 3.0.11-0.16.b8
+- Autorebuild for GCC 4.3
+
+* Sun Jul 15 2007 Jeff Layton <jlayton at redhat.com> - 3.0.11-0.15.b8
+- initscript: add LSB header and fix return values
+- initscript: remove /var/lock/subsys references
+
+* Fri Jun 15 2007 J. Randall Owens <jrowens at ghiapet.homeip.net> - 3.0.11-0.14.b8
+- fix doc directory permissions
+
+* Thu Mar  8 2007 Jeff Layton <jlayton at redhat.com> - 3.0.11-0.13.b8
+- remove Requires(postun) for user/groupdel since they're no longer needed
+
+* Tue Sep 12 2006 Jeff Layton <jlayton at redhat.com> - 3.0.11-0.12.b8
+- clean up changelog for specfile
+
+* Tue Sep 12 2006 Jeff Layton <jlayton at redhat.com> - 3.0.11-0.11.b8
+- rebuild for FC6
+
+* Sat Jul 1 2006 Jeff Layton <jlayton at redhat.com> - 3.0.11-0.10.b8
+- new init script that can handle more than one config file
+- move config files into directory under sysconfdir
+- don't remove user and group on exit
+- don't set permissions explicitly except where needed
+
+* Wed Feb 15 2006 Ville Skyttä <ville.skytta at iki.fi> - 3.0.11-0.9.b8
+- Sync with Debian's 3.0.11b8-10.
+
+* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 3.0.11-0.8.b8
+- rebuilt
+
 * Sun Nov 14 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:3.0.11-0.7.b8
 - Update patch from Debian to 3.0.11b8-8, fixes CAN-2004-0980.
 - Try harder to avoid (re-)running aclocal and friends during build.


Index: sources
===================================================================
RCS file: /cvs/pkgs/rpms/ez-ipupdate/EL-4/sources,v
retrieving revision 1.3
retrieving revision 1.4
diff -u -p -r1.3 -r1.4
--- sources	27 Nov 2004 11:21:02 -0000	1.3
+++ sources	14 Sep 2009 05:16:10 -0000	1.4
@@ -1,2 +1,2 @@
 000211add4c4845ffa4211841bff4fb0  ez-ipupdate-3.0.11b8.tar.gz
-2d3fd3d0599667244931444c69394c51  ez-ipupdate_3.0.11b8-8.diff.gz
+e400c9c8d594922e394806b717250c35  ez-ipupdate_3.0.11b8-10.diff.gz




More information about the fedora-extras-commits mailing list